package org.bucksch.zeipis.recorder;
import java.sql.SQLException;
import java.util.Collection;

import org.bucksch.zeipis.all.Misconfiguration;

public interface Device
{
  public int id();
  public boolean isLocal();
  public String host();
  public boolean canRecordSimultanously(Collection<? extends TVChannel> channels);
  public TVRecorder newRecording()
    throws Misconfiguration, SQLException;
}
